Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
[Java] Class CachedField

    java.lang.Object
      groovy.lang.MetaProperty
          org.codehaus.groovy.reflection.CachedField

    public class CachedField
    extends MetaProperty

Field Summary
`Field` | `field`

Fields inherited from class MetaProperty
PROPERTY_SET_PREFIX, name, type

Constructor Summary
`CachedField(Field field)`

Method Summary
`int` | `getModifiers()`
`Object` | `getProperty(Object object)` @return the property of the given object
`boolean` | `isFinal()`
`boolean` | `isStatic()`
`void` | `setProperty(Object object, Object newValue)` Sets the property on the given object to the new value

Methods inherited from class MetaProperty
getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### field

    public final Field field

Constructor Detail

### CachedField

    public CachedField(Field field)

Method Detail

### getModifiers

    public int getModifiers()

### getProperty

    public Object getProperty(Object object)

  throws:
    RuntimeException if the property could not be evaluated
  Returns:
    the property of the given object

### isFinal

    public boolean isFinal()

### isStatic

    public boolean isStatic()

### setProperty

    public void setProperty(Object object, Object newValue)

  Sets the property on the given object to the new value
  throws:
    RuntimeException if the property could not be set
  Parameters:
    `object` - on which to set the property
    `newValue` - the new value of the property

Copyright © 2003-2010 The Codehaus. All rights reserved.